> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Test in the sandbox first: base URL https://api-sandbox.y.uno (Test Mode in the Dashboard). Production is https://api.y.uno (Live Mode).
> Every API request needs the public-api-key and private-secret-key headers. Get them in the Dashboard at https://dashboard.y.uno/developers (Developers > Credentials); sandbox and production keys are different.
> Send an X-Idempotency-Key (a UUID) when creating payments, refunds and cancels, so retries do not create duplicates.
> Start with the Quickstart (https://docs.y.uno/docs/quickstart.md) and the agent guide (https://docs.y.uno/agents.md). To search these docs from a coding agent, connect the docs MCP server at https://docs.y.uno/mcp.

# Obtener planes de cuotas

> Obtiene la lista de planes de cuotas configurados para una cuenta específica

La API **Get Installments Plan** te permite obtener una lista de planes de cuotas asociados con una cuenta específica. Este endpoint ayuda a ver todos los planes disponibles vinculados a una cuenta, incluidas sus opciones de cuotas, límites y períodos de disponibilidad.

Usa esta API para obtener todos los planes de cuotas disponibles bajo un ID de cuenta determinado.


## OpenAPI

````yaml openapi/es/installments/get-installments-plan-by-account.json GET /installments-plans
openapi: 3.1.0
info:
  title: installments
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
    description: Sandbox
  - url: https://api.y.uno/v1
    description: Production (US)
security:
  - sec0: []
    sec1: []
paths:
  /installments-plans:
    get:
      summary: Obtener planes de cuotas
      operationId: get-installments-plan-by-account
      parameters:
        - name: account_id
          in: query
          description: >-
            El identificador único de la cuenta. Encuéntralo en el [Yuno
            dashboard](https://dashboard.y.uno) (UUID; 36 caracteres).
          required: true
          schema:
            type: string
        - name: currency
          in: query
          description: >-
            Moneda usada para filtrar los planes ([ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217); 3 caracteres).
          schema:
            type: string
        - name: iin
          in: query
          description: >-
            [Opcional] - El número de identificación del emisor (IIN)
            corresponde a los primeros dígitos del número de una tarjeta de pago
            emitida por una institución financiera (MAX 8; MIN 6). Si definiste
            un iin para el plan de cuotas, puedes usarlo para filtrar la
            respuesta.
          schema:
            type: string
        - name: amount
          in: query
          description: >-
            [Opcional] - El monto para el que está disponible el plan de cuotas.
            Si definiste un rango de montos para el plan de cuotas, puedes
            usarlo para filtrar la respuesta.
          schema:
            type: string
        - name: payment_method_type
          in: query
          description: >-
            [Opcional] - Filtra por tipo de método de pago (CARD |
            NU_PAY_ENROLLMENT).
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 4d573425-33f9-4c46-b009-2c7e749b0ec7
                      name: plan_007
                      account_id:
                        - f7c5fe77-721b-49c2-84d3-957748df3c2c
                      merchant_reference: Test
                      installments_plan:
                        - installment: 1
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 3
                          rate: 1
                          provider_id: ''
                          financial_costs:
                            - type: CFT
                              rate: 45.25
                              formatted_value: 45,25%
                            - type: TEA
                              rate: 38.5
                              formatted_value: 38,50%
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 6
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 9
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 12
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                      iin: null
                      country_code: US
                      first_installment_deferral: 0
                      amount:
                        currency: USD
                        min_value: 0
                        max_value: 100000000
                      availability:
                        start_at: '2023-09-12T00:00:00Z'
                        finish_at: '2030-09-20T00:00:00Z'
                      created_at: '2023-10-11T17:52:31.886178Z'
                      updated_at: '2023-10-11T17:52:31.886178Z'
                      payment_method_type: NU_PAY_ENROLLMENT
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: 4d573425-33f9-4c46-b009-2c7e749b0ec7
                    name:
                      type: string
                      example: plan_007
                    account_id:
                      type: array
                      items:
                        type: string
                        example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    merchant_reference:
                      type: string
                      example: Test
                    installments_plan:
                      type: array
                      items:
                        type: object
                        properties:
                          installment:
                            type: integer
                            example: 1
                            default: 0
                          rate:
                            type: number
                            example: 1
                            default: 0
                          provider_id:
                            type: string
                            example: ''
                          financial_costs:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - CFT
                                    - TEA
                                    - CET
                                    - CAT
                                rate:
                                  type: number
                                  format: float
                                formatted_value:
                                  type: string
                          amount:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              value:
                                type: string
                                example: '0'
                              total_value:
                                type: string
                                example: '0'
                    iin: {}
                    country_code:
                      type: string
                      example: US
                    first_installment_deferral:
                      type: integer
                      example: 0
                      default: 0
                    amount:
                      type: object
                      properties:
                        currency:
                          type: string
                          example: USD
                        min_value:
                          type: integer
                          example: 0
                          default: 0
                        max_value:
                          type: integer
                          example: 100000000
                          default: 0
                    availability:
                      type: object
                      properties:
                        start_at:
                          type: string
                          example: '2023-09-12T00:00:00Z'
                        finish_at:
                          type: string
                          example: '2030-09-20T00:00:00Z'
                    created_at:
                      type: string
                      example: '2023-10-11T17:52:31.886178Z'
                    updated_at:
                      type: string
                      example: '2023-10-11T17:52:31.886178Z'
                    payment_method_type:
                      type: string
                      enum:
                        - CARD
                        - NU_PAY_ENROLLMENT
                        - APPLE_PAY
                      example: NU_PAY_ENROLLMENT
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.